#!/bin/sh
# postinst script for w3c-linkchecker
#
# see: dh_installdeb(1)

set -e

. /usr/share/debconf/confmodule

# summary of how this script can be called:
#        * <postinst> `configure' <most-recently-configured-version>
#        * <old-postinst> `abort-upgrade' <new version>
#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
#          <new-version>
#        * <postinst> `abort-remove'
#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
#          <failed-install-package> <version> `removing'
#          <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package


case "$1" in
    configure)

        CFG_TEMPLATE=/usr/share/w3c-linkchecker/checklink.conf
        CFG_TMP=/etc/w3c/checklink.conf.dpkg-new
        CFG_FILE=/etc/w3c/checklink.conf

        db_get w3c-linkchecker/hostname
        if [ "$RET" ]
        then
            sed -e "s|^Doc_URI = http://[a-z0-9.]\+/|Doc_URI = http://$RET/|" \
              < $CFG_TEMPLATE > $CFG_TMP
        fi

        db_get w3c-linkchecker/private_ips
        if [ "$RET" ]
        then
            VALUE=1
            if [ "$RET" = "false" ]
            then
                VALUE=0
            fi
            sed -e "s|^\(# \)\?Allow_Private_IPs = [01]$|Allow_Private_IPs = $VALUE|" \
              < $CFG_TEMPLATE > $CFG_TMP
        fi

        ucf --debconf-ok $CFG_TMP $CFG_FILE && rm -f $CFG_TMP
        db_stop


    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0
